#include <RLduino78.h>
#include "Sseg.h"

Sseg mySseg = Sseg(4, 8, 11, 13, 14, 2, 10, 12, 3, 6, 7, 9);

uint8_t hello[] = {
  0b00000000,
  0b00000000,
  0b00000000,
  0b00000000,
  0b01101110, // H
  0b10011110, // E
  0b00011100, // L
  0b00011100, // L
  0b00111010, // o
  0b00000000, // 
  NUM_PAT_7,  // 7
  0b10110110, // S
  NUM_PAT_E,  // E
  0b11110110, // G
  0b00000001
};

int p = 0;

// the setup routine runs once when you press reset:
void setup() {                
  mySseg.begin();
}

#define OVERWRAP(a, x) (((x) < sizeof(a)) ? (a[(x)]) : a[((x) - sizeof(a))])

// the loop routine runs over and over again forever:
void loop() {
  uint8_t i;
  if ((++p) > sizeof(hello))
    p = 0;

  mySseg.writeRawData(
    OVERWRAP(hello, p),
    OVERWRAP(hello, p+1),  
    OVERWRAP(hello, p+2),  
    OVERWRAP(hello, p+3));

  mySseg.updateWithDelay(200);
}
